import warnings

from .workflows import (
    prescan_workflow,
    image_workflow,
    data_workflow,
    cached_data_workflow,
    postprocessing_workflow,
)

warnings.filterwarnings("ignore")


__version__ = "1.0.1"


def run_test():
    # pw = prescan_workflow("mtor-bilder", 50, 725 + 150, 300, 725)
    pw = prescan_workflow("mtor-bilder-2", 125, 795, 275, 700)
    iw = image_workflow(pw.parameters)
    dw = data_workflow(iw.data, iw.parameters)
    fw = postprocessing_workflow(dw.data, dw.parameters)  # noqa: F841


def run_data_test():
    dw = cached_data_workflow("mtor-bilder-2")  # noqa: F841
    dw = cached_data_workflow("mtor-bilder")  # noqa: F841
    # postprocessing_workflow(dw.data, dw.parameters)  # noqa: F841
